Package commoble.bagofyurting

# Class OptionalSpawnParticlePacket

java.lang.Object
net.minecraft.network.protocol.game.ClientboundLevelParticlesPacket
commoble.bagofyurting.OptionalSpawnParticlePacket

All Implemented Interfaces:
  `net.minecraft.network.protocol.Packet<net.minecraft.network.protocol.game.ClientGamePacketListener>`

public class OptionalSpawnParticlePacket extends net.minecraft.network.protocol.game.ClientboundLevelParticlesPacket

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OptionalSpawnParticlePacket​(net.minecraft.network.FriendlyByteBuf buffer)`
``
`OptionalSpawnParticlePacket​(T type, boolean b, double posX, double posY, double posZ, float xOffset, float yOffset, float zOffset, float speed, int particleCount)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle​(Supplier<net.minecraftforge.fmllegacy.network.NetworkEvent.Context> contextGetter)`
`void`
`handle​(net.minecraft.network.protocol.game.ClientGamePacketListener handler)`
`static OptionalSpawnParticlePacket`
`read​(net.minecraft.network.FriendlyByteBuf buffer)`
`static <T extends net.minecraft.core.particles.ParticleOptions>
void`
`spawnParticlesFromServer​(net.minecraft.server.level.ServerLevel level, T particleType, double posX, double posY, double posZ, int particleCount, double xOffset, double yOffset, double zOffset, double speed)`

### Methods inherited from class net.minecraft.network.protocol.game.ClientboundLevelParticlesPacket

`getCount, getMaxSpeed, getParticle, getX, getXDist, getY, getYDist, getZ, getZDist, isOverrideLimiter, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.network.protocol.Packet

`isSkippable`

## Constructor Details

### OptionalSpawnParticlePacket

public OptionalSpawnParticlePacket​(T type, boolean b, double posX, double posY, double posZ, float xOffset, float yOffset, float zOffset, float speed, int particleCount)

### OptionalSpawnParticlePacket

protected OptionalSpawnParticlePacket​(net.minecraft.network.FriendlyByteBuf buffer)

## Method Details

### read

public static OptionalSpawnParticlePacket read​(net.minecraft.network.FriendlyByteBuf buffer)

### spawnParticlesFromServer

public static <T extends net.minecraft.core.particles.ParticleOptions> void spawnParticlesFromServer​(net.minecraft.server.level.ServerLevel level, T particleType, double posX, double posY, double posZ, int particleCount, double xOffset, double yOffset, double zOffset, double speed)

### handle

public void handle​(net.minecraft.network.protocol.game.ClientGamePacketListener handler)

Specified by:
  `handle` in interface `net.minecraft.network.protocol.Packet<net.minecraft.network.protocol.game.ClientGamePacketListener>`
Overrides:
  `handle` in class `net.minecraft.network.protocol.game.ClientboundLevelParticlesPacket`

### handle

public void handle​(Supplier<net.minecraftforge.fmllegacy.network.NetworkEvent.Context> contextGetter)